TCPServer
Keywords: uk.ac.ic.doc.automed.p2p.communication.TCPServer class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.p2p.communication
Class TCPServer

    java.lang.Object
      uk.ac.ic.doc.automed.p2p.communication.AbstractServer
          uk.ac.ic.doc.automed.p2p.communication.TCPServer

All Implemented Interfaces:
  Threadable

    public class TCPServer

extends AbstractServer

Field Summary

Fields inherited from class uk.ac.ic.doc.automed.p2p.communication.AbstractServer
`isReady, numWorkers, readBufferSize, serverPort, timeOut`

Constructor Summary
`TCPServer(int serverPort, RequestListener handler, int timeOut, int numWorkers, int bufferSize)` Creates a new instance of UDPServer

Method Summary
`void` | `handleAction()` Handle actions
`void` | `runAction()` Implements the runnable action

Methods inherited from class uk.ac.ic.doc.automed.p2p.communication.AbstractServer
`getHandler, getReadyState, getServerPort, setReadyState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TCPServer

    public TCPServer(int serverPort,
                     RequestListener handler,
                     int timeOut,
                     int numWorkers,
                     int bufferSize)
              throws CommunicationException

  Creates a new instance of UDPServer

  Throws:
    `CommunicationException`

Method Detail

### runAction

    public void runAction()
                   throws AutoMedException

  Implements the runnable action

  Specified by:
    `runAction` in interface `Threadable`
  Specified by:
    `runAction` in class `AbstractServer`
  Throws:
    `AutoMedException`

### handleAction

    public void handleAction()

  Handle actions

  Specified by:
    `handleAction` in interface `Threadable`
  Specified by:
    `handleAction` in class `AbstractServer`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD